#!/bin/bash

if [ "$EUID" -ne 0 ]; then
    id
    exit
fi

if [ ! -d /usr/local/bin ]; then
    mkdir -p /usr/local/bin
fi

if [[ ":$PATH:" != *":/usr/local/bin:"* ]]; then
    export PATH="/usr/local/bin:$PATH"
    echo 'export PATH="/usr/local/bin:$PATH"' >> ~/.bashrc
fi

if ! python3 -c "import requests" &> /dev/null; then
    if command -v apt-get &> /dev/null; then
	apt-get update
	apt-get install -y python3-requests
    elif command -v pacman &> /dev/null; then
	pacman -Syu python-requests
    elif command -v dnf &> /dev/null; then
	dnf install -y python3-requests
    elif commamd -v pip &> /dev/null; then
	pip install --user --break-system-packages requests
    elif command -v pip3 &> /dev/null; then
	pip3 install --user --break-system-packages requests
    else
	echo "requests"
	exit 1
    fi
fi

if ! command -v playerctl &> /dev/null; then
    if command -v apt-get &> /dev/null; then
	apt-get update
	apt-get install -y playerctl
    elif command -v pacman &> /dev/null; then
	pacman -Syu playerctl
    elif command -v dnf &> /dev/null; then
	dnf install -y playerctl
    else
	echo "playerctl"
	exit 1
    fi
fi

if [ ! -f /usr/local/bin/combolinux ]; then
    install -m 755 combolinux.py /usr/local/bin/combolinux
fi

if [ -f /usr/local/bin/combolinux ]; then
    if command -v systemctl &> /dev/null; then
	install -m 644 combolinux.service /etc/systemd/user/combolinux.service
	systemctl --user enable --now combolinux
    else
	exit 1
    fi
fi

exit 0
